/*
#=======================================================================================================
#
#                   Copyright (c) 2007 Origin Enterprise Solution LTD.
#
#=======================================================================================================
# File description:  ModifyTaskNameHandler.java
#=======================================================================================================
#	Date		Name		Action	Description of Change
#	2010-12-2	tyl  	Ini		³õÊ¼»¯ÎÄ¼þ
#=======================================================================================================
*/
package cn.com.customization.schedule;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.teamcenter.rac.aif.AbstractAIFUIApplication;
import com.teamcenter.rac.aifrcp.AIFUtility;
import com.teamcenter.rac.kernel.TCException;

public class ModifyTaskOrDeliveryNameHandler extends AbstractHandler{

	public Object execute(ExecutionEvent arg0) throws ExecutionException {
		 AbstractAIFUIApplication app = AIFUtility.getCurrentApplication();
		 try {
			 ModifyTaskOrDeliveryNameCommand modifyCommand	=new ModifyTaskOrDeliveryNameCommand(app);
			 modifyCommand.executeModal();
		}
		catch (TCException e) {
			e.printStackTrace();
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}
}
